/*
 # ---------------------------------------------------------------------
 #
 # Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
 #                        pour la SantÈ)
 # Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
 # Previous Authors : Laurent Guigues, Jean-Pierre Roux
 # CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
 #
 #  This software is governed by the CeCILL-B license under French law and
 #  abiding by the rules of distribution of free software. You can  use,
 #  modify and/ or redistribute the software under the terms of the CeCILL-B
 #  license as circulated by CEA, CNRS and INRIA at the following URL
 #  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
 #  or in the file LICENSE.txt.
 #
 #  As a counterpart to the access to the source code and  rights to copy,
 #  modify and redistribute granted by the license, users are provided only
 #  with a limited warranty  and the software's author,  the holder of the
 #  economic rights,  and the successive licensors  have only  limited
 #  liability.
 #
 #  The fact that you are presently reading this means that you have had
 #  knowledge of the CeCILL-B license and that you accept its terms.
 # ------------------------------------------------------------------------ */


//=====
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
#ifndef __bbstdReadColumnsDouble_h_INCLUDED__
#define __bbstdReadColumnsDouble_h_INCLUDED__
#include "bbstd_EXPORT.h"
#include "bbtkAtomicBlackBox.h"
#include "iostream"


namespace bbstd
{

class bbstd_EXPORT ReadColumnsDouble
 : 
   public bbtk::AtomicBlackBox
{
  BBTK_BLACK_BOX_INTERFACE(ReadColumnsDouble,bbtk::AtomicBlackBox);
//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
	BBTK_DECLARE_INPUT(FileName,std::string);
	BBTK_DECLARE_INPUT(Dimension,int);	
	
	BBTK_DECLARE_OUTPUT(lstData1,std::vector<double> );
	BBTK_DECLARE_OUTPUT(lstData2,std::vector<double> );
	BBTK_DECLARE_OUTPUT(lstData3,std::vector<double> );
	BBTK_DECLARE_OUTPUT(lstData4,std::vector<double> );
	BBTK_DECLARE_OUTPUT(lstData5,std::vector<double> );
	BBTK_DECLARE_OUTPUT(lstData6,std::vector<double> );
	BBTK_DECLARE_OUTPUT(lstData7,std::vector<double> );
	BBTK_DECLARE_OUTPUT(lstData8,std::vector<double> );
	BBTK_DECLARE_OUTPUT(lstData9,std::vector<double> );
	BBTK_DECLARE_OUTPUT(lstData10,std::vector<double> );
	BBTK_DECLARE_OUTPUT(lstData11,std::vector<double> );
	BBTK_DECLARE_OUTPUT(lstData12,std::vector<double> );
	BBTK_DECLARE_OUTPUT(lstData13,std::vector<double> );
	BBTK_DECLARE_OUTPUT(lstData14,std::vector<double> );
	BBTK_DECLARE_OUTPUT(lstData15,std::vector<double> );
	BBTK_PROCESS(Process);
  void Process();
//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
};

BBTK_BEGIN_DESCRIBE_BLACK_BOX(ReadColumnsDouble,bbtk::AtomicBlackBox);
	BBTK_NAME("ReadColumnsDouble");
	BBTK_AUTHOR("Info-Dev");
	BBTK_DESCRIPTION("Read Columns from a text file");
	BBTK_CATEGORY("read/write");
	BBTK_INPUT(ReadColumnsDouble,FileName,"File name of Points",std::string,"");
	BBTK_INPUT(ReadColumnsDouble,Dimension,"(default 1) - The number of columns of the file",int,"");
	
	BBTK_OUTPUT(ReadColumnsDouble,lstData1,"vector of data",std::vector<double>,"");
	BBTK_OUTPUT(ReadColumnsDouble,lstData2,"vector of data",std::vector<double>,"");
	BBTK_OUTPUT(ReadColumnsDouble,lstData3,"vector of data",std::vector<double>,"");
	BBTK_OUTPUT(ReadColumnsDouble,lstData4,"vector of data",std::vector<double>,"");
	BBTK_OUTPUT(ReadColumnsDouble,lstData5,"vector of data",std::vector<double>,"");
	BBTK_OUTPUT(ReadColumnsDouble,lstData6,"vector of data",std::vector<double>,"");
	BBTK_OUTPUT(ReadColumnsDouble,lstData7,"vector of data",std::vector<double>,"");
	BBTK_OUTPUT(ReadColumnsDouble,lstData8,"vector of data",std::vector<double>,"");
	BBTK_OUTPUT(ReadColumnsDouble,lstData9,"vector of data",std::vector<double>,"");
	BBTK_OUTPUT(ReadColumnsDouble,lstData10,"vector of data",std::vector<double>,"");
	BBTK_OUTPUT(ReadColumnsDouble,lstData11,"vector of data",std::vector<double>,"");
	BBTK_OUTPUT(ReadColumnsDouble,lstData12,"vector of data",std::vector<double>,"");
	BBTK_OUTPUT(ReadColumnsDouble,lstData13,"vector of data",std::vector<double>,"");
	BBTK_OUTPUT(ReadColumnsDouble,lstData14,"vector of data",std::vector<double>,"");
	BBTK_OUTPUT(ReadColumnsDouble,lstData15,"vector of data",std::vector<double>,"");
BBTK_END_DESCRIBE_BLACK_BOX(ReadColumnsDouble);
//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
}
// EO namespace bbstd

#endif // __bbstdReadColumnsDouble_h_INCLUDED__

