/*
 # ---------------------------------------------------------------------
 #
 # Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
 #                        pour la SantÈ)
 # Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
 # Previous Authors : Laurent Guigues, Jean-Pierre Roux
 # CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
 #
 #  This software is governed by the CeCILL-B license under French law and
 #  abiding by the rules of distribution of free software. You can  use,
 #  modify and/ or redistribute the software under the terms of the CeCILL-B
 #  license as circulated by CEA, CNRS and INRIA at the following URL
 #  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
 #  or in the file LICENSE.txt.
 #
 #  As a counterpart to the access to the source code and  rights to copy,
 #  modify and redistribute granted by the license, users are provided only
 #  with a limited warranty  and the software's author,  the holder of the
 #  economic rights,  and the successive licensors  have only  limited
 #  liability.
 #
 #  The fact that you are presently reading this means that you have had
 #  knowledge of the CeCILL-B license and that you accept its terms.
 # ------------------------------------------------------------------------ */


//=====
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
#include "bbvtkText3D.h"
#include "bbvtkPackage.h"


namespace bbvtk
{

BBTK_ADD_BLACK_BOX_TO_PACKAGE(vtk,Text3D)
BBTK_BLACK_BOX_IMPLEMENTATION(Text3D,bbtk::AtomicBlackBox);
//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
void Text3D::Process()
{

// THE MAIN PROCESSING METHOD BODY
//   Here we simply set the input 'In' value to the output 'Out'
//   And print out the output value
// INPUT/OUTPUT ACCESSORS ARE OF THE FORM :
//    void bbSet{Input|Output}NAME(const TYPE&)
//    const TYPE& bbGet{Input|Output}NAME() const 
//    Where :
//    * NAME is the name of the input/output
//      (the one provided in the attribute 'name' of the tag 'input')
//    * TYPE is the C++ type of the input/output
//      (the one provided in the attribute 'type' of the tag 'input')

  // First time : creates the text actor and sets its text.
  if (_textActor == NULL)
    {
	_textActor = vtkTextActor3D::New();
	_textProp = vtkTextProperty::New();
	if ( bbGetInputRenderer()!=NULL )
	{
		bbGetInputRenderer()->AddActor( _textActor );
	}
	_textProp->SetFontSize( 14 );
	_textActor->SetTextProperty( _textProp  );
    }
  _textProp->SetColor( bbGetInputColour()[0] , bbGetInputColour()[1], bbGetInputColour()[2] );
  
  _textActor->SetInput( bbGetInputIn().c_str()  );
  _textActor->SetPosition(  bbGetInputX(), bbGetInputY(),bbGetInputZ() );
  _textActor->GetTextProperty()->SetOpacity( bbGetInputOpacity() );	

  if ( bbGetInputTransform()!=NULL )
    {
      _textActor->SetUserTransform( bbGetInputTransform() );
    }
  
  bbSetOutputOut(_textActor);
  
}

//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
void Text3D::bbUserSetDefaultValues()
{

//  SET HERE THE DEFAULT INPUT/OUTPUT VALUES OF YOUR BOX 
//    Here we initialize the input 'In' to 0
        bbSetInputIn("<void>");
	bbSetInputX(0);
	bbSetInputY(0);
	bbSetInputZ(0);
	
	std::vector<double> colour;
	colour.push_back(1);
	colour.push_back(0);
	colour.push_back(0);
	bbSetInputColour(colour);
	bbSetInputRenderer(NULL);
	bbSetInputTransform(NULL);
	bbSetInputOpacity(1);

	_textActor = NULL;
	_textProp = NULL;
}
//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
void Text3D::bbUserInitializeProcessing()
{

//  THE INITIALIZATION METHOD BODY :
//    Here does nothing 
//    but this is where you should allocate the internal/output pointers 
//    if any 

  
}
//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
void Text3D::bbUserFinalizeProcessing()
{

//  THE FINALIZATION METHOD BODY :
//    Here does nothing 
//    but this is where you should desallocate the internal/output pointers 
//    if any
  
}
}
// EO namespace bbvtk


